{: test that a compilation error occurs when case constant ranges overlap }

program e1025( output );

var
   e :  integer;

begin { e1025 }

   e := 42;
   case e of
     50..60: writeln(' OK');
     59..60: writeln(' !!! illegal range');
   end; {case}
   writeln( 'case range error not detected' );
end. { e1025 }

